## com.saxonica.codegen
Interface ReturnAction

All Known Implementing Classes:
  JavaAssignment, JavaDeclaration

    public interface ReturnAction

Defines how the result of compiling an expression should be returned to the calling expression

Method Summary
`String` `getVariableName()` Get the name of the variable holding the result
`String` `output(CompilerService compiler, String expression)` Generate the return text

Method Detail

### output

    String output(CompilerService compiler,
                  String expression)

  Generate the return text

  Parameters:
    `compiler` - the compiler service
    `expression` - the Java expression that computes the return value
  Returns:
    the Java statement to be output

### getVariableName

    String getVariableName()

  Get the name of the variable holding the result

  Returns:
    the Java variable name

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.